libdist-zilla-perl_6.010-1_all.deb


Advertisement

Description

libdist-zilla-perl - Perl distribution builder

Distribution: Debian Sid
Repository: Debian Main i386
Package name: libdist-zilla-perl
Package version: 6.010
Package release: 1
Package architecture: all
Package type: deb
Installed size: 956 B
Download size: 325.81 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: libdist-zilla-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdist-zilla-perl deb package:
      # sudo apt-get install libdist-zilla-perl

    Changelog

    2017-07-11 - gregor herrmann <gregoa@debian.org> libdist-zilla-perl (6.010-1) unstable; urgency=medium * Import upstream version 6.010. * Update years of packaging copyright. * autopkgtest: skip t/tester-local-plugins.t for now which fails due to the dot-in-@INC removal. This can be reverted once the upstream issue is solved. (Closes: #837132)

    2017-06-19 - Axel Beckert <abe@debian.org> libdist-zilla-perl (6.009-1) unstable; urgency=low * Import upstream version 6.009. * Declare compliance with Debian Policy 4.0.0. (No changes needed.) * Bump debhelper compatibility to 10. + Update versioned debhelper build-dependency accordingly.

    2016-10-29 - gregor herrmann <gregoa@debian.org> libdist-zilla-perl (6.008-1) unstable; urgency=medium * Remove Jonathan Yu from Uploaders. Thanks for your work! * Import upstream version 6.008. * Update years of packaging copyright. * Drop unneeded version constraints in debian/control. * Drop unversioned 'libmodule-corelist-perl' from Recommends. It's provided by perl anyway. * autopkgtest: enable more smoke tests.

    2016-08-09 - Axel Beckert <abe@debian.org> libdist-zilla-perl (6.007-1) unstable; urgency=low * Import upstream version 6.007.

    2016-05-26 - Axel Beckert <abe@debian.org> libdist-zilla-perl (6.005-2) unstable; urgency=low * Also list directory "t" in debian/tests/pkg-perl/smoke-files to actually run the test suite. + List t/compile.t in debian/tests/pkg-perl/smoke-skip since it tries to find Perl modules in build directory and its functionality is covered by pkg-perl-autopkgtest's default tests anyways

    2016-05-25 - Axel Beckert <abe@debian.org> libdist-zilla-perl (6.005-1) unstable; urgency=low [ gregor herrmann ] * debian/copyright: change Copyright-Format 1.0 URL to HTTPS. [ Axel Beckert ] * Import upstream version 6.005 + Refresh sole patch. + Update debian/NEWS wrt. to potentially breaking upstream changes. + Update (build-)dependencies: - Remove libclass-load-perl, libpath-class-perl and libmoosex-types-path-class-perl - Add libmodule-runtime-perl.

    2016-05-08 - gregor herrmann <gregoa@debian.org> libdist-zilla-perl (5.047-2) unstable; urgency=medium * Update build and runtime dependencies, add a Recommends. Thanks to autopkgtest.

    2016-05-08 - Axel Beckert <abe@debian.org> libdist-zilla-perl (5.047-1) unstable; urgency=low [ Salvatore Bonaccorso ] * debian/control: Use HTTPS transport protocol for Vcs-Git URI [ Axel Beckert ] * Import upstream version 5.047 + Add new b-d on libscalar-list-utils-perl ≥ 1.45 and libterm-ui-perl. + Remove b-d on liblist-moreutils-perl. * Add patch to support SOURCE_DATE_EPOCH e.g. for dh-dist-zilla → Dist::Zilla::Plugin::PodWeaver → Pod::Weaver generated documentation. Should make at least librun-parts-perl reproducible. * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

    Advertisement
    Advertisement